Subject: [Mip4] RFC 3344 - Home Agent Registration Code 132 - foreign agent failed authentication

From: Acee Lindem <[email-masked]>
Date: Fri, 21 Mar 2008 10:49:50 -0400

With respect to our MIP4 HA implementation, we've had several  
discussions as to whether a registration reply should be generated  
when the registration request fails FA-HA authentication. The  
existence of the 132 reply code would imply that one should always  
respond. However, this is contrary to way authentication works in  
most protocols (at least routing protocols) and would seem to leave  
the HA more susceptible to DoS attacks. I checked the RFC 3344 BIS  
draft and there has been no change in this area.
Thanks,
Acee
  
-- 
Mip4 mailing list: [email-masked]
    Web interface: https://www.ietf.org/mailman/listinfo/mip4
     Charter page: http://www.ietf.org/html.charters/mip4-charter.html
Supplemental site: http://www.mip4.org/